Description

From the Foreman 1.9 manual
Note that it isn't possible to use a smart class parameter override with a config group, as a host may have many config groups
with no way to define an order of precedence. Overrides should be made on a host group, host or other attribute.

Can an order of precedence be defined, say by attaching an arbitrary integer by hand to the config group (order or priority or

whatever), and a warning be emitted (in puppet and forman) be emitted for a host that has a redefinition?

Being able to scope some parameters into the configuration group they belong to would help clarify my workflow. I'm willing to
manually unwind any odd redefinitions in exchange for the ability to group things.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New
Related to Foreman - Tracker #12950: Turn all parameters into lookup keys New 12/28/2015
History

#1 - 05/29/2015 10:17 AM - Dominic Cleal
- Subject changed from Config Groups, Smart Variables, and Class Parameters to Add smart matchers keyed on config groups

- Category changed from Puppet integration to Parameters

#2 - 06/04/2015 02:29 AM - Tomer Brisker
- Related to Tracker #4470: Usability of parameters and overrides added

#3 - 11/06/2016 03:20 AM - Ori Rabin
- Related to Tracker #12950: Turn all parameters into lookup keys added

05/21/2024 1/1



http://www.tcpdf.org

